summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-11-13 20:38:28 +0000
committerZac Medico <zmedico@gentoo.org>2008-11-13 20:38:28 +0000
commitc5f981bd75f9df450c2a05d7c9e6381921d91d5f (patch)
treec31682d8c9467327bbce25d0a0a2d7ebe699d627
parent8148a3ff3c708a0c734f385f77141a63415cf534 (diff)
downloadportage-c5f981bd75f9df450c2a05d7c9e6381921d91d5f.tar.gz
portage-c5f981bd75f9df450c2a05d7c9e6381921d91d5f.tar.bz2
portage-c5f981bd75f9df450c2a05d7c9e6381921d91d5f.zip
Add a --changelog-rev option that truncates the ChangeLog at a specific
revision. Also, add -i to the svn2cl options so that the actual svn revision numbers are included in the log. svn path=/main/branches/2.1.6/; revision=11889
-rwxr-xr-xmkrelease.sh16
1 files changed, 14 insertions, 2 deletions
diff --git a/mkrelease.sh b/mkrelease.sh
index cb1ffc557..4a70b23a5 100755
--- a/mkrelease.sh
+++ b/mkrelease.sh
@@ -5,6 +5,10 @@ SOURCE_DIR=${RELEASE_BUILDDIR}/checkout
BRANCH=${BRANCH:-trunk}
REPOSITORY=svn+ssh://cvs.gentoo.org/var/svnroot/portage/main
SVN_LOCATION=${REPOSITORY}/${BRANCH}
+CHANGELOG_REVISION=""
+CREATE_TAG=
+CHANGELOG_REVISION=
+UPLOAD_LOCATION=
die() {
echo $@
@@ -12,7 +16,8 @@ die() {
exit 1
}
-ARGS=$(getopt -o tu: --long anon,tag,upload: -n $(basename $0) -- "$@")
+ARGS=$(getopt -o tu: --long anon,changelog-rev:,tag,upload: \
+ -n ${0##*/} -- "$@")
[ $? != 0 ] && die "initialization error"
eval set -- "${ARGS}"
@@ -24,6 +29,10 @@ while true; do
SVN_LOCATION=${REPOSITORY}/${BRANCH}
shift
;;
+ --changelog-rev)
+ CHANGELOG_REVISION=$2
+ shift 2
+ ;;
-t|--tag)
CREATE_TAG=true
shift
@@ -58,7 +67,10 @@ echo ">>> Starting Subversion export"
svn export "${SVN_LOCATION}" "${SOURCE_DIR}" > /dev/null || die "svn export failed"
echo ">>> Creating Changelog"
-svn2cl -o "${SOURCE_DIR}/ChangeLog" "${SVN_LOCATION}" || die "ChangeLog creation failed"
+svn2cl_opts=
+[ -n $CHANGELOG_REVISION ] && svn2cl_opts=HEAD:$CHANGELOG_REVISION
+svn2cl -r $svn2cl_opts -i -o "${SOURCE_DIR}/ChangeLog" "${SVN_LOCATION}" \
+ || die "ChangeLog creation failed"
echo ">>> Building release tree"
cp -a "${SOURCE_DIR}/"{bin,cnf,doc,man,pym,src} "${RELEASE_DIR}/" || die "directory copy failed"